Bug 627343 - husb: ctrl buffer too small error received for passthrough usb device, fixed upstream
husb: ctrl buffer too small error received for passthrough usb device, fixed ...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm (Show other bugs)
5.5
All Linux
low Severity medium
: rc
: ---
Assigned To: Alex Williamson
Virtualization Bugs
: OtherQA
Depends On:
Blocks: Rhel5KvmTier2
  Show dependency treegraph
 
Reported: 2010-08-25 14:22 EDT by David Mansfield
Modified: 2011-01-13 18:37 EST (History)
7 users (show)

See Also:
Fixed In Version: kvm-83-208.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-13 18:37:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
upstream commit that fixes the problem (951 bytes, patch)
2010-08-25 14:22 EDT, David Mansfield
no flags Details | Diff

  None (edit)
Description David Mansfield 2010-08-25 14:22:24 EDT
Created attachment 441018 [details]
upstream commit that fixes the problem

Description of problem:

When attempting to use a passthrough USB device (configured via libvirt or directly via qemu-kvm command line) the vm fails to use the device, the error message below is printed to logs (or stderr of qemu)

husb: ctrl buffer too small (2597 > 2048)

NOTE: this has been fixed in upstream qemu, see attachment.

Version-Release number of selected component (if applicable):
kvm-83-164.el5_5.15

How reproducible:
always

Steps to Reproduce:
1. Install a USB device which uses large control packets, e.g.
Bus 002 Device 004: ID 046d:0809 Logitech, Inc. Webcam Pro 9000

2. pass this to vm with "-usbdevice host:046d:0809" options
3. boot a rhel 5.5 guest

Actual results:
fails to open vm, messages in the vm show

usb 1-2: unable to read config index 0 descriptor/all
usb 1-2: can't read configurations, error -32


Expected results:
works.

Additional info:

I have not actually tested the attached patch fixes my particular problem yet, but I will and report back.
Comment 1 David Mansfield 2010-08-25 14:47:00 EDT
above patch has been confirmed to fix the problem.
Comment 8 juzhang 2010-11-30 23:47:57 EST
Hi,David
 
   Would you please use fixed build(kvm-83-208.el5) to verify this bug?thanks in advance.

Best Regards,
Junyi
Comment 10 David Mansfield 2010-12-03 13:22:00 EST
regarding the above comment#8 and the separate comment from cward:

I cannot test this anyway as the VM in question wasn't viable for other reasons than this bug, and it's gone.  As noted above, I did test the upstream patch and it was fine.
Comment 13 errata-xmlrpc 2011-01-13 18:37:19 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0028.html

Note You need to log in before you can comment on or make changes to this bug.